/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.ciceromark

// imports
import {IChild,INode} from './org.accordproject.commonmark';

// interfaces
export interface IElement extends IChild {
   name: string;
   elementType?: string;
}

export interface IVariable extends IElement {
   value: string;
   identifiedBy?: string;
}

export interface IFormattedVariable extends IVariable {
   format: string;
}

export interface IEnumVariable extends IVariable {
   enumValues: string[];
}

export interface IFormula extends IElement {
   value: string;
   dependencies?: string[];
   code?: string;
}

export interface IBlock extends IElement {
}

export interface IClause extends IBlock {
   src?: string;
}

export interface IConditional extends IBlock {
   isTrue: boolean;
   whenTrue: IChild[];
   whenFalse: IChild[];
}

export interface IOptional extends IBlock {
   hasSome: boolean;
   whenSome: IChild[];
   whenNone: IChild[];
}

export interface IListBlock extends IBlock {
   type: string;
   tight: string;
   start?: string;
   delimiter?: string;
}

